package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag700;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT700Creator;

/**
 * @author hedonghao
 * @date 2023/2/20
 */
public class Tag44FCreator extends AbsTagCreate {

    private MT700Creator mt700Creator;

    public Tag44FCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt700Creator= (MT700Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag44FCValue = mt700Creator.getPortOfDischarge();
        mt700Creator.set("44F", tag44FCValue);
    }
}
